Usage Tokens
curl --request GET \
--url https://api.deepinfra.com/payment/usage/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/payment/usage/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/payment/usage/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"months": [
{
"period": "<string>",
"interval": {
"fr": 0,
"to": 4000000000000
},
"items": [
{
"model": {
"provider": "<string>",
"model_name": "<string>",
"task": "<string>",
"plan_id": "<string>",
"private": false,
"contract": "<string>"
},
"units": 123,
"rate": 123,
"cost": 123,
"pricing_type": "<string>",
"interval": {
"fr": 0,
"to": 4000000000000
},
"discount": {
"name": "<string>",
"description": "<string>"
}
}
],
"total_cost": 123,
"invoice_id": "NOT_FINAL"
}
],
"initial_month": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing
Usage Tokens
GET
/
payment
/
usage
/
tokens
Usage Tokens
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
start of period in YYYY.MM, current(-N), unix_timestamp (in seconds, UTC) format
end of period (if missing a single month marked by from is return), same format as from
Cookies
⌘I